temp.news-content-header = RECORDS
temp.news-content-header {  
  if.isTrue.data = GP:tx_ttnews|tt_news      
  source.data = GP:tx_ttnews|tt_news
  tables = tt_news
  
  conf.tt_news = COA
  conf.tt_news {
    10 = TEXT
    10.field = bodytext // tx_plandoonewsfields_generic_rtesubheader
    10.parseFunc =< lib.parseFunc_RTE
    10.parseFunc {
      nonTypoTagStdWrap.encapsLines {
        encapsTagList = li,p,pre,h1,h2,h3,h4,h5,h6
        innerStdWrap_all.ifBlank = &nbsp;
        addAttributes.P.class = 
        addAttributes.P.class.setOnly=blank
      }    
    }
  }
}

temp.news-link = RECORDS
temp.news-link {
  if.isTrue.data = GP:tx_ttnews|tt_news
  source.data = GP:tx_ttnews|tt_news
  tables = tt_news
  
  conf.tt_news = COA
  conf.tt_news {
    5 = TEXT
    5 {
      value = Website besuchen
      if.isTrue.field = links
      wrap = <p class="more-link">|</p>
      typolink {
        parameter {
          field = links
          split.token.char = 10
          split.returnKey = 0
        }
      }
    }
  }
}

temp.meta-desc-news = RECORDS
temp.meta-desc-news {
  if.isTrue.data = GP:tx_ttnews|tt_news
  source.data = GP:tx_ttnews|tt_news
  tables = tt_news
  conf.tt_news = COA
  conf.tt_news {
    10 = TEXT
    10.field = tx_plandoonewsfields_generic_metadescription
  }
}



plugin.tt_news.genericmarkers {
  data = short, tx_plandoonewsfields_generic_images, title, uid, image, datetime, imagecaption, tx_plandoonewsfields_generic_rtesubheader, tx_plandoonewsfields_generic_isclient
  
  is-new = COA_INT
  is-new {
    10 = TEXT
    10 {
      value = <span class="new-item">NEU</span>
      if {
        value.cObject = TEXT
        value.cObject {
          data = date:U
          dataWrap = (|-{field:generic_datetime})/(3600*24)
	  #86400    
        }
        value.prioriCalc = intval
        isLessThan = 30
        negate = 1
      }   
    }   
  }

  is-client = TEXT
  is-client {
    outerWrap = <span class="is-client">|</span>
    value = A
    override = K
    override.if.isTrue.field = generic_tx_plandoonewsfields_generic_isclient
    outerWrap.override = <span class="is-client is-agency">|</span>
    outerWrap.override.if.isFalse.field = generic_tx_plandoonewsfields_generic_isclient
  }

  year = COA_INT
  year {
    10 = TEXT
    10 {      
      field = generic_datetime
      strftime = %Y
    }   
    wrap = <span class="year">|</span>
  } 
  
  jcarousel_control = COA
  jcarousel_control {
    10 = LOAD_REGISTER
    10 {
      something.cObject = TEXT
      something {
        cObject.data = register:something
        cObject.wrap = |+1
        prioriCalc = intval
      }
    }
    20 = CASE
    20 {
      key {
        cObject = TEXT
        cObject.data = register:something
        # 2, Berechnung per Modulo
        cObject.wrap = |%2
        prioriCalc = intval
      }
      default = TEXT
      default.value = <div class="d">|</div>
      1 = TEXT
      1.value = <div class="d1">|</div>
    }
  }
  
  news_content = COA
  news_content {
    10 < temp.news-content-header
    20 < temp.news-link
  }
  
  news_title = TEXT
  news_title {
    field = generic_short // generic_title
    wrap = |
  }
  
  ### read more link if the record is not currently displayed ###
  news_more = TEXT
  news_more {
    value = Projekt ansehen
    if {
      value.data = GP:tx_ttnews|tt_news
      equals.data = field:generic_uid
      negate = 1      
    }  
  }
  
  news_teaser = COA
  news_teaser {
    10 = TEXT
    10 {
      field = generic_tx_plandoonewsfields_generic_rtesubheader
      parseFunc =< lib.parseFunc_RTE
      parseFunc {
        nonTypoTagStdWrap.encapsLines {
          encapsTagList = li,p,pre,h1,h2,h3,h4,h5,h6
          #remapTag.DIV = LI
          #nonWrappedTag = LI 
          innerStdWrap_all.ifBlank = &nbsp;
          addAttributes.P.class = 
          addAttributes.P.class.setOnly=blank
        }    
      }     
    }
  }
  
  news_image_small = COA
  news_image_small {
    10 = IMAGE
    10 {
      file {
        import = uploads/tx_plandoonewsfields/            
        import.data = field:generic_tx_plandoonewsfields_generic_images

        import.listNum = 0          
      
        maxW = 60
        maxH = 60
        width = 60c
        height = 60c
      }  
      titleText.data = field:generic_title
      altText.data = field:generic_title
      if.isTrue.data = field:generic_tx_plandoonewsfields_generic_images
    }
    20 = IMAGE
    20 {
      file {
        import = uploads/pics/       
        import.data = field:generic_image 

        import.listNum = 0          
      
        maxW = 60
        maxH = 60
        width = 60c
        height = 60c
      }  
      titleText.data = field:generic_title
      altText.data = field:generic_title
      if.isFalse.data = field:generic_tx_plandoonewsfields_generic_images
    }    
  }
  
  news_image = IMAGE
  news_image {
    file {
      import = uploads/pics/
      import.field = generic_image
      import.listNum = 0    
      maxW = 275
      maxH = 190
      width = 275c
      height = 190c   
    }
  }
  news_image_caption = TEXT
  news_image_caption {          
    field = generic_imagecaption
    required = 1
    wrap = <p>|</p>          
    split.token = ;
    split.token.if.isPositive = {$styles.content.imgtext.imageTextSplit} + {$styles.content.imgtext.captionSplit}
    split.returnKey = 0
  } 
  
  news_class = TEXT
  news_class {
    value = act
    if {
      value.data = GP:tx_ttnews|tt_news
      equals.data = field:generic_uid      
    }
    required = 1    
    noTrimWrap = | ||
  }  
}